Tetrarch Thifiell:
Assassins are murderers who kill quietly and swiftly, then vanish into the shadows. They are also feared spies and night fighters, who are gifted in concealment and stealth. They target the enemy's weak points with small, swift weapons like daggers, or shoot arrows from a long distance. While Palus Knights fight their opponents on the battlefield, Assassins fight enemies of the race in the black darkness of moonless night, to claim silent victory.
The most elite Assassins are sometimes chosen as Abyss Walkers to learn the ultimate secrets of assassination and searching. On the other hand, some Assassins are chosen as Phantom Rangers, and train their archery skills to the highest level.
Ask about changing occupation to an Assassin
Return